summaryrefslogtreecommitdiffhomepage
path: root/test/e2e/untrusted-workload/test.sh
diff options
context:
space:
mode:
authorIan Lewis <ianlewis@google.com>2019-01-15 16:41:01 +0900
committerLantao Liu <taotaotheripper@gmail.com>2019-01-14 23:41:01 -0800
commitbd2940861c282dfc39309bca94378c820ab7df7e (patch)
tree70792e8491bd57e82f56c2ec2c5c7680fc9bd4f9 /test/e2e/untrusted-workload/test.sh
parent9e0866102bf53f50a0353775b7bb370fe77ee5b4 (diff)
End to end tests refs #3 (#10)
* Separate docs for containerd 1.1 and 1.2 The configuration for the untrusted workload annotation and runtime class are different enough that it makes sense to separate the docs. Commands in docs are taken from scripts in the docs/scripts directory. These scripts can be used later for integration & doc tests (#3). The docs can be updated using the embedmd tool: https://github.com/campoy/embedmd * Add basic e2e tests refs #3 Added end-to-end tests based on the quickstart workflows for containerd 1.1 and containerd 1.2+.
Diffstat (limited to 'test/e2e/untrusted-workload/test.sh')
-rwxr-xr-xtest/e2e/untrusted-workload/test.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/test/e2e/untrusted-workload/test.sh b/test/e2e/untrusted-workload/test.sh
new file mode 100755
index 000000000..6e312cf6d
--- /dev/null
+++ b/test/e2e/untrusted-workload/test.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+# Runs end-to-end tests for gvisor-containerd-shim to test using the
+# untrusted workload extension. This should work on containerd 1.1+
+
+# This is meant to be run in a VM as it makes a fairly invasive install of
+# containerd.
+
+set -ex
+
+# Install containerd
+. ./test/e2e/containerd-install.sh
+
+# Install gVisor
+. ./test/e2e/runsc-install.sh
+
+# Install gvisor-containerd-shim
+. ./test/e2e/shim-install.sh
+
+# Test installation/configuration
+. ./test/e2e/untrusted-workload/install.sh
+
+# Install crictl
+. ./test/e2e/crictl-install.sh
+
+# Test usage
+. ./test/e2e/untrusted-workload/usage.sh
+
+# Run a container in the sandbox
+. ./test/e2e/run-container.sh
+
+# Validate the pod and container
+. ./test/e2e/validate.sh